> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tavus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pinned Memories

> Lists the pinned facts in a memory store.

<Info>
  Use each returned `memory_id` to update or delete an individual pinned memory.
</Info>


## OpenAPI

````yaml get /v2/memory-stores/{memory_store_id}/pinned
openapi: 3.0.3
info:
  title: Tavus Developer API Collection
  version: 1.0.0
  contact: {}
servers:
  - url: https://tavusapi.com
security:
  - apiKey: []
tags:
  - name: Videos
  - name: Faces
  - name: Voices
  - name: Conversations
  - name: Deployments
  - name: PALs
  - name: Tools
  - name: PAL Tools
  - name: Pronunciation Dictionaries
  - name: Replacements
  - name: Transcriptions
  - name: Documents
  - name: Memory Stores
paths:
  /v2/memory-stores/{memory_store_id}/pinned:
    parameters:
      - $ref: '#/components/parameters/memoryStoreId'
    get:
      tags:
        - Memory Stores
      summary: List Pinned Memories
      description: Lists the pinned facts in a memory store.
      operationId: listPinnedMemories
      responses:
        '200':
          description: Pinned memories returned
          content:
            application/json:
              schema:
                type: object
                required:
                  - pinned_memories
                properties:
                  pinned_memories:
                    type: array
                    maxItems: 30
                    items:
                      $ref: '#/components/schemas/pinnedMemory'
        '401':
          description: Unauthorized
        '403':
          description: The caller does not own this memory store
        '404':
          description: Memory store not found
      security:
        - apiKey: []
components:
  parameters:
    memoryStoreId:
      name: memory_store_id
      in: path
      required: true
      description: Memory store identifier.
      schema:
        type: string
        minLength: 2
        maxLength: 64
        pattern: ^m[a-z0-9]+$
      example: m123456789abc
  schemas:
    pinnedMemory:
      type: object
      required:
        - memory_id
        - memory
        - created_at
        - updated_at
      properties:
        memory_id:
          type: string
          description: Unique identifier for the pinned memory.
          example: pm123456789abc
        memory:
          type: string
          maxLength: 500
          description: Pinned fact.
          example: Prefers concise answers
        created_at:
          type: string
          description: When the pinned memory was created.
          example: '2026-08-24 12:00:00'
        updated_at:
          type: string
          description: When the pinned memory was last updated.
          example: '2026-08-24 12:00:00'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````